Allow the Gtk+ and Qt versions to be built simultaneously (with autotools).
authorJeff Morriss <jeff.morriss.ws@gmail.com>
Tue, 25 Jun 2013 19:51:53 +0000 (19:51 -0000)
committerJeff Morriss <jeff.morriss.ws@gmail.com>
Tue, 25 Jun 2013 19:51:53 +0000 (19:51 -0000)
commitfd95d841b8c264165107652a87c3948e69378819
treecc7309c65f242844a7c4ee97232ba67b4b34b339
parent8b9135e9b5ce7480eff2558b3f0025bb41bd34fb
Allow the Gtk+ and Qt versions to be built simultaneously (with autotools).

./configure now accepts:
--with-gtk2 :  enabled by default; exclusive of --with-gtk3
--with-gtk3 : disabled by default; exclusive of --with-gtk2
--with-qt   : disabled by default, can be specified with gtk
--enable-wireshark : controls whether *any* GUI is built

If Qt is enabled then a new program is created: "wireshark-qt".  "wireshark"
remains the Gtk+ version.

svn path=/trunk/; revision=50147
Makefile.am
Makefile.common
Makefile.nmake
configure.ac